org.eclipse.emf.cdo.common.lock

## Interface IDurableLockingManager.LockArea.Handler

- All Known Subinterfaces:
    CDOReplicationContext, InternalFailoverParticipant, InternalSynchronizableRepository
  Enclosing interface:
    IDurableLockingManager.LockArea

      public static interface IDurableLockingManager.LockArea.Handler

  A call-back interface for handling `lock area` objects.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `handleLockArea(IDurableLockingManager.LockArea area)`

- - ### Method Detail

    - #### handleLockArea

          boolean handleLockArea(IDurableLockingManager.LockArea area)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html